Index: contrib/crossrpms/rtems4.9/arm/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/arm/Makefile.am	(revision a5c8f118ce830b0ddd044b2ebb7ef539a906121a)
+++ contrib/crossrpms/rtems4.9/arm/Makefile.am	(revision a4081ce74c1237d3ef05f2f542c3576c41dff54f)
@@ -18,5 +18,5 @@
 GCC_OPTS += --languages=cxx
 
-GDB_VERS = 6.7
+GDB_VERS = 6.7.1
 GDB_PKGVERS = $(GDB_VERS)
 GDB_RPMREL = 2%{?dist}
Index: contrib/crossrpms/rtems4.9/arm/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/arm/gdb-sources.add	(revision a5c8f118ce830b0ddd044b2ebb7ef539a906121a)
+++ contrib/crossrpms/rtems4.9/arm/gdb-sources.add	(revision a4081ce74c1237d3ef05f2f542c3576c41dff54f)
@@ -10,2 +10,5 @@
 Patch0:		gdb-6.7-rtems4.9-20071011.diff
 %endif
+%if "%{gdb_version}" == "6.7.1"
+Patch0:		gdb-6.7.1-rtems4.9-20071031.diff
+%endif
Index: contrib/crossrpms/rtems4.9/avr/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/avr/Makefile.am	(revision a5c8f118ce830b0ddd044b2ebb7ef539a906121a)
+++ contrib/crossrpms/rtems4.9/avr/Makefile.am	(revision a4081ce74c1237d3ef05f2f542c3576c41dff54f)
@@ -17,5 +17,5 @@
 include ../gcc.am
 
-GDB_VERS = 6.7
+GDB_VERS = 6.7.1
 GDB_PKGVERS = $(GDB_VERS)
 GDB_RPMREL = 2%{?dist}
Index: contrib/crossrpms/rtems4.9/avr/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/avr/gdb-sources.add	(revision a5c8f118ce830b0ddd044b2ebb7ef539a906121a)
+++ contrib/crossrpms/rtems4.9/avr/gdb-sources.add	(revision a4081ce74c1237d3ef05f2f542c3576c41dff54f)
@@ -10,2 +10,5 @@
 Patch0:		gdb-6.7-rtems4.9-20071011.diff
 %endif
+%if "%{gdb_version}" == "6.7.1"
+Patch0:		gdb-6.7.1-rtems4.9-20071031.diff
+%endif
Index: contrib/crossrpms/rtems4.9/h8300/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/h8300/Makefile.am	(revision a5c8f118ce830b0ddd044b2ebb7ef539a906121a)
+++ contrib/crossrpms/rtems4.9/h8300/Makefile.am	(revision a4081ce74c1237d3ef05f2f542c3576c41dff54f)
@@ -18,5 +18,5 @@
 GCC_OPTS += --languages=cxx
 
-GDB_VERS = 6.7
+GDB_VERS = 6.7.1
 GDB_PKGVERS = $(GDB_VERS)
 GDB_RPMREL = 2%{?dist}
Index: contrib/crossrpms/rtems4.9/h8300/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/h8300/gdb-sources.add	(revision a5c8f118ce830b0ddd044b2ebb7ef539a906121a)
+++ contrib/crossrpms/rtems4.9/h8300/gdb-sources.add	(revision a4081ce74c1237d3ef05f2f542c3576c41dff54f)
@@ -10,2 +10,5 @@
 Patch0:		gdb-6.7-rtems4.9-20071011.diff
 %endif
+%if "%{gdb_version}" == "6.7.1"
+Patch0:		gdb-6.7.1-rtems4.9-20071031.diff
+%endif
Index: contrib/crossrpms/rtems4.9/i386/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/i386/Makefile.am	(revision a5c8f118ce830b0ddd044b2ebb7ef539a906121a)
+++ contrib/crossrpms/rtems4.9/i386/Makefile.am	(revision a4081ce74c1237d3ef05f2f542c3576c41dff54f)
@@ -18,5 +18,5 @@
 GCC_OPTS += --languages=cxx
 
-GDB_VERS = 6.7
+GDB_VERS = 6.7.1
 GDB_PKGVERS = $(GDB_VERS)
 GDB_RPMREL = 2%{?dist}
Index: contrib/crossrpms/rtems4.9/i386/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/i386/gdb-sources.add	(revision a5c8f118ce830b0ddd044b2ebb7ef539a906121a)
+++ contrib/crossrpms/rtems4.9/i386/gdb-sources.add	(revision a4081ce74c1237d3ef05f2f542c3576c41dff54f)
@@ -10,2 +10,5 @@
 Patch0:		gdb-6.7-rtems4.9-20071011.diff
 %endif
+%if "%{gdb_version}" == "6.7.1"
+Patch0:		gdb-6.7.1-rtems4.9-20071031.diff
+%endif
Index: contrib/crossrpms/rtems4.9/m68k/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/m68k/Makefile.am	(revision a5c8f118ce830b0ddd044b2ebb7ef539a906121a)
+++ contrib/crossrpms/rtems4.9/m68k/Makefile.am	(revision a4081ce74c1237d3ef05f2f542c3576c41dff54f)
@@ -18,5 +18,5 @@
 GCC_OPTS += --languages=cxx
 
-GDB_VERS = 6.7
+GDB_VERS = 6.7.1
 GDB_PKGVERS = $(GDB_VERS)
 GDB_RPMREL = 2%{?dist}
Index: contrib/crossrpms/rtems4.9/m68k/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/m68k/gdb-sources.add	(revision a5c8f118ce830b0ddd044b2ebb7ef539a906121a)
+++ contrib/crossrpms/rtems4.9/m68k/gdb-sources.add	(revision a4081ce74c1237d3ef05f2f542c3576c41dff54f)
@@ -10,2 +10,5 @@
 Patch0:		gdb-6.7-rtems4.9-20071011.diff
 %endif
+%if "%{gdb_version}" == "6.7.1"
+Patch0:		gdb-6.7.1-rtems4.9-20071031.diff
+%endif
Index: contrib/crossrpms/rtems4.9/mips/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/mips/Makefile.am	(revision a5c8f118ce830b0ddd044b2ebb7ef539a906121a)
+++ contrib/crossrpms/rtems4.9/mips/Makefile.am	(revision a4081ce74c1237d3ef05f2f542c3576c41dff54f)
@@ -18,5 +18,5 @@
 GCC_OPTS += --languages=cxx
 
-GDB_VERS = 6.7
+GDB_VERS = 6.7.1
 GDB_PKGVERS = $(GDB_VERS)
 GDB_RPMREL = 2%{?dist}
Index: contrib/crossrpms/rtems4.9/mips/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/mips/gdb-sources.add	(revision a5c8f118ce830b0ddd044b2ebb7ef539a906121a)
+++ contrib/crossrpms/rtems4.9/mips/gdb-sources.add	(revision a4081ce74c1237d3ef05f2f542c3576c41dff54f)
@@ -10,2 +10,5 @@
 Patch0:		gdb-6.7-rtems4.9-20071011.diff
 %endif
+%if "%{gdb_version}" == "6.7.1"
+Patch0:		gdb-6.7.1-rtems4.9-20071031.diff
+%endif
Index: contrib/crossrpms/rtems4.9/mipstx39/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/mipstx39/Makefile.am	(revision a5c8f118ce830b0ddd044b2ebb7ef539a906121a)
+++ contrib/crossrpms/rtems4.9/mipstx39/Makefile.am	(revision a4081ce74c1237d3ef05f2f542c3576c41dff54f)
@@ -6,5 +6,5 @@
 
 # We only want a gdb with a tx39 simulator in it.  We share the other tools
-GDB_VERS = 6.7
+GDB_VERS = 6.7.1
 GDB_PKGVERS = $(GDB_VERS)
 GDB_RPMREL = 2%{?dist}
Index: contrib/crossrpms/rtems4.9/mipstx39/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/mipstx39/gdb-sources.add	(revision a5c8f118ce830b0ddd044b2ebb7ef539a906121a)
+++ contrib/crossrpms/rtems4.9/mipstx39/gdb-sources.add	(revision a4081ce74c1237d3ef05f2f542c3576c41dff54f)
@@ -10,2 +10,5 @@
 Patch0:		gdb-6.7-rtems4.9-20071011.diff
 %endif
+%if "%{gdb_version}" == "6.7.1"
+Patch0:		gdb-6.7.1-rtems4.9-20071031.diff
+%endif
Index: contrib/crossrpms/rtems4.9/powerpc/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/powerpc/Makefile.am	(revision a5c8f118ce830b0ddd044b2ebb7ef539a906121a)
+++ contrib/crossrpms/rtems4.9/powerpc/Makefile.am	(revision a4081ce74c1237d3ef05f2f542c3576c41dff54f)
@@ -18,5 +18,5 @@
 GCC_OPTS += --languages=cxx
 
-GDB_VERS = 6.7
+GDB_VERS = 6.7.1
 GDB_PKGVERS = $(GDB_VERS)
 GDB_RPMREL = 2%{?dist}
Index: contrib/crossrpms/rtems4.9/powerpc/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/powerpc/gdb-sources.add	(revision a5c8f118ce830b0ddd044b2ebb7ef539a906121a)
+++ contrib/crossrpms/rtems4.9/powerpc/gdb-sources.add	(revision a4081ce74c1237d3ef05f2f542c3576c41dff54f)
@@ -10,2 +10,5 @@
 Patch0:		gdb-6.7-rtems4.9-20071011.diff
 %endif
+%if "%{gdb_version}" == "6.7.1"
+Patch0:		gdb-6.7.1-rtems4.9-20071031.diff
+%endif
Index: contrib/crossrpms/rtems4.9/sh/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/sh/Makefile.am	(revision a5c8f118ce830b0ddd044b2ebb7ef539a906121a)
+++ contrib/crossrpms/rtems4.9/sh/Makefile.am	(revision a4081ce74c1237d3ef05f2f542c3576c41dff54f)
@@ -18,5 +18,5 @@
 GCC_OPTS += --languages=cxx
 
-GDB_VERS = 6.7
+GDB_VERS = 6.7.1
 GDB_PKGVERS = $(GDB_VERS)
 GDB_RPMREL = 2%{?dist}
Index: contrib/crossrpms/rtems4.9/sh/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/sh/gdb-sources.add	(revision a5c8f118ce830b0ddd044b2ebb7ef539a906121a)
+++ contrib/crossrpms/rtems4.9/sh/gdb-sources.add	(revision a4081ce74c1237d3ef05f2f542c3576c41dff54f)
@@ -10,2 +10,5 @@
 Patch0:		gdb-6.7-rtems4.9-20071011.diff
 %endif
+%if "%{gdb_version}" == "6.7.1"
+Patch0:		gdb-6.7.1-rtems4.9-20071031.diff
+%endif
Index: contrib/crossrpms/rtems4.9/sparc/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/sparc/Makefile.am	(revision a5c8f118ce830b0ddd044b2ebb7ef539a906121a)
+++ contrib/crossrpms/rtems4.9/sparc/Makefile.am	(revision a4081ce74c1237d3ef05f2f542c3576c41dff54f)
@@ -18,7 +18,7 @@
 GCC_OPTS += --languages=cxx
 
-GDB_VERS = 6.7
+GDB_VERS = 6.7.1
 GDB_PKGVERS = $(GDB_VERS)
-GDB_RPMREL = 2%{?dist}
+GDB_RPMREL = 3%{?dist}
 include ../gdb.am
 GDB_OPTS +=
Index: contrib/crossrpms/rtems4.9/sparc/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/sparc/gdb-sources.add	(revision a5c8f118ce830b0ddd044b2ebb7ef539a906121a)
+++ contrib/crossrpms/rtems4.9/sparc/gdb-sources.add	(revision a4081ce74c1237d3ef05f2f542c3576c41dff54f)
@@ -10,2 +10,5 @@
 Patch0:		gdb-6.7-rtems4.9-20071011.diff
 %endif
+%if "%{gdb_version}" == "6.7.1"
+Patch0:		gdb-6.7.1-rtems4.9-20071031.diff
+%endif
